LambdaHack-0.11.0.1: A game engine library for tactical squad ASCII roguelike dungeon crawlers

Safe Haskell | None
Language | Haskell2010

Game.LambdaHack.Client.Response

Description

Abstract syntax of responses.

See https://github.com/LambdaHack/LambdaHack/wiki/Client-server-architecture.

Synopsis

- data Response
  - = RespUpdAtomicNoState UpdAtomic
  - | RespUpdAtomic State UpdAtomic
  - | RespQueryAI ActorId
  - | RespSfxAtomic SfxAtomic
  - | RespQueryUIunderAI
  - | RespQueryUI

# Documentation

data Response Source #

Abstract syntax of responses sent by server to an AI or UI client (or a universal client that can handle both roles, which is why this type is not separated into distinct AI and UI types). A response tells a client how to update game state or what information to send to the server.

Constructors

RespUpdAtomicNoState UpdAtomic | change `State` by performing this atomic update
RespUpdAtomic State UpdAtomic | put the given `State`, which results from performing the atomic update
RespQueryAI ActorId | compute an AI move for the actor and send (the semantics of) it
RespSfxAtomic SfxAtomic | perform special effects (animations, messages, etc.)
RespQueryUIunderAI | check if the UI client wants to regain control
RespQueryUI | prompt the human player for a command and send (the semantics of) it

#### Instances

Instances details

Show Response Source # |
Instance details Defined in Game.LambdaHack.Client.Response Methods showsPrec :: Int -> Response -> ShowS Source # show :: Response -> String Source # showList :: [Response] -> ShowS Source #